# For nginx, create /var/cache/nginx and provide permissions and mount

version: "3.3"
services:
  nginx-rhel7:
    container_name: nginx
    restart: on-failure:5
    image: appsentinels/nginx-116-rhel7:latest
    extra_hosts:
      - "opc:172.17.0.1"
    ports:
      - "8000:8000"
    volumes:
      - ./sample_server.conf:/opt/app-root/etc/nginx.d/appsentinels-server.conf
      - /var/log/nginx:/var/log/nginx
      - /var/cache/nginx:/var/cache/nginx

  http_service:
    container_name: http_service
    image: appsentinels/http-server:latest
    environment:
        - HTTP_SERVICE_PORT=8090
    ports:
      - "0.0.0.0:8090:8090/tcp"

